export default [
  {
    path: '/user',
    component: '../layouts/UserLayout',
    routes: [
      {
        name: 'login',
        path: '/user/login',
        component: './user/login',
      },
    ],
  },
  {
    path: '/',
    component: '../layouts/SecurityLayout',
    routes: [
      {
        path: '/',
        component: '../layouts/BasicLayout',
        authority: ['admin', 'user'],
        routes: [
          {
            path: '/',
            redirect: '/welcome',
          },
          {
            path: '/welcome',
            name: '首页',
            component: './Welcome',
          },
          {
            path: '/indexEcharts',
            name: '图表管理',
            component: '../layouts/BlankLayout',
            hideInMenu: true,
            routes: [
              {
                path: '/indexEcharts/userSource',
                name: '用户来源',
                component: './indexEcharts/userSource',
              },
              {
                path: '/indexEcharts/newUsers',
                name: '新增用户',
                component: './indexEcharts/newUsers',
              },

              {
                path: '/indexEcharts/userBehavior',
                name: '用户行为',
                component: './indexEcharts/userBehavior',
              },
            ],
          },
          {
            path: '/building',
            name: '项目管理',
            component: '../layouts/BlankLayout',
            routes: [
              {
                path: '/building/list',
                name: '项目列表',
                component: './building/list/index',
              },
              {
                path: '/building/list/add',
                name: '项目添加', // 项目添加
                hideInMenu: true,
                component: './building/list/add/index',
              },
              {
                path: '/building/type',
                name: '项目类型',
                component: './building/type/index',
              },
              {
                path: '/building/type/edi',
                name: '项目类型编辑',
                hideInMenu: true,
                component: './building/type/edi',
              },
            ],
          },
          {
            path: '/customer',
            name: '客户管理',
            component: '../layouts/BlankLayout',
            routes: [
              {
                path: '/customer/customerlist/list',
                name: '客户列表',
                component: './customer/customerlist/index',
              },
              {
                path: '/customer/customerlist/customerDetail',
                name: '私客详情',
                hideInMenu: true,
                component: './customer/customerlist/customerDetail',
              },
              {
                path: '/customer/drift/list',
                name: '游客列表',
                component: './customer/drift/index',
              },
              {
                path: '/customer/report/list',
                name: '报备客户',
                component: './customer/report/index',
              },
              {
                path: '/customer/recommendCustomer/list',
                name: '推荐客户',
                component: './customer/recommendCustomer/index',
              },
              {
                path: '/customer/recommendCustomer/audit',
                name: '客户审核',
                hideInMenu: true,
                component: './customer/recommendCustomer/audit',
              },
              {
                path: '/customer/independentList',
                name: '专业经纪人',
                component: './customer/independentList/index',
              },
              {
                path: '/customer/visiting',
                name: '到访记录',
                component: './customer/visiting/index',
              },
              {
                path: '/customer/customerlist/publicCustomerDetail',
                name: '公客详情',
                hideInMenu: true,
                component: './customer/customerlist/publicCustomerDetail',
              },
            ],
          },
          {
            path: '/integralMall',
            name: '积分商城',
            component: '../layouts/BlankLayout',
            routes: [
              {
                path: '/integralMall/GoodsList',
                name: '商品列表',
                component: './integralMall/GoodsList',
              },
              {
                path: '/integralMall/achieve',
                name: '积分获取',
                component: './integralMall/achieve',
              },
              {
                path: '/integralMall/editAchieve',
                name: '积分编辑',
                hideInMenu: true,
                component: './integralMall/editAchieve',
              },
              {
                path: '/integralMall/editGoods',
                name: '商品编辑',
                hideInMenu: true,
                component: './integralMall/editGoods',
              },
              {
                path: '/integralMall/exchangeRecords',
                name: '兑换记录',
                component: './integralMall/exchangeRecords',
              },
              {
                path: '/integralMall/writeOff',
                name: '商品核销',
                component: './integralMall/writeOff',
              },
              {
                path: '/integralMall/verifyList',
                name: '商品核销列表',
                hideInMenu: true,
                component: './integralMall/verifyList',
              },
            ],
          },
          {
            path: '/channel',
            name: '渠道管理',
            component: '../layouts/BlankLayout',
            routes: [
              {
                path: '/channel/channelList',
                name: '渠道管理',
                component: './channel/channelList',
              },
              {
                path: '/channel/addChannel',
                name: '添加渠道',
                hideInMenu: true,
                component: './channel/addChannel',
              },
              {
                path: '/channel/editChannel',
                name: '编辑渠道',
                hideInMenu: true,
                component: './channel/editChannel',
              },
              {
                path: '/channel/brokerList',
                name: '经纪人',
                hideInMenu: true,
                component: './channel/brokerList',
              },
              {
                path: '/channel/recommendClients',
                name: '渠道推荐',
                hideInMenu: true,
                component: './channel/recommendClients',
              },
              {
                path: '/channel/InviteClients',
                name: '邀请经纪人',
                hideInMenu: true,
                component: './channel/InviteClients',
              },
            ],
          },
          {
            path: '/news',
            name: '资讯管理',
            component: '../layouts/BlankLayout',
            routes: [
              {
                path: '/news/type/NewsType',
                name: '资讯类型',
                component: './news/type/NewsType',
              },
              {
                path: '/news/type/editNews',
                name: '编辑资讯类型',
                hideInMenu: true,
                component: './news/type/editNews',
              },
              {
                path: '/news/list/NewsList',
                name: '资讯列表',
                component: './news/list/NewsList',
              },
              {
                path: '/news/list/editNewsList',
                name: '编辑资讯',
                hideInMenu: true,
                component: './news/list/editNewsList',
              },
            ],
          },
          {
            path: '/activity',
            name: '活动管理',
            component: '../layouts/BlankLayout',
            routes: [
              {
                path: '/activity/ActivityList',
                name: '报名活动',
                component: './activity/ActivityList',
              },
              {
                path: '/activity/editActivity',
                name: '编辑活动',
                hideInMenu: true,
                component: './activity/editActivity',
              },
              {
                path: '/activity/detailActivity',
                name: '活动详情',
                hideInMenu: true,
                component: './activity/detailActivity',
              },
              {
                path: '/activity/SignList',
                name: '报名列表',
                hideInMenu: true,
                component: './activity/SignList',
              },
              {
                path: '/activity/helpActivity/list',
                name: '助力活动',
                component: './activity/helpActivity/list',
              },
              {
                path: '/activity/helpActivity/helpRecord',
                name: '助力记录',
                hideInMenu: true,
                component: './activity/helpActivity/helpRecord',
              },
              {
                path: '/activity/helpActivity/edithelpActivity',
                name: '编辑',
                hideInMenu: true,
                component: './activity/helpActivity/edithelpActivity',
              },
              {
                path: '/activity/helpActivity/signList',
                name: '报名列表',
                hideInMenu: true,
                component: './activity/helpActivity/signList',
              },
              {
                path: '/activity/groupActivity/list',
                name: '拼团活动',
                component: './activity/groupActivity/list',
              },
              {
                path: '/activity/groupActivity/helpRecord',
                name: '拼团记录',
                hideInMenu: true,
                component: './activity/groupActivity/helpRecord',
              },
              {
                path: '/activity/groupActivity/editgroupActivity',
                name: '新增',
                hideInMenu: true,
                component: './activity/groupActivity/editgroupActivity',
              },
              {
                path: '/activity/groupActivity/detailActivity',
                name: '活动详情',
                hideInMenu: true,
                component: './activity/groupActivity/detailActivity',
              },
              {
                path: '/activity/drainage/DrainageList',
                name: 'H5活动',
                component: './activity/drainage/DrainageList',
              },
              {
                path: '/activity/drainage/DrainageVisitRecordList',
                name: 'H5访问记录',
                component: './activity/drainage/DrainageVisitRecordList',
              },
              {
                path: '/activity/drainage/Detail',
                name: '查看详情',
                hideInMenu: true,
                component: './activity/drainage/Detail',
              },
              {
                path: '/activity/drainage/DetailDrainage',
                name: 'H5详情',
                hideInMenu: true,
                component: './activity/drainage/DetailDrainage',
              },
              {
                path: '/activity/helpActivity/detailActivity',
                name: '活动详情',
                hideInMenu: true,
                component: './activity/helpActivity/detailActivity',
              },
              
              
            ],
          },
          {
            path: '/staff',
            name: '员工管理',
            component: '../layouts/BlankLayout',
            routes: [
              {
                path: '/staff/StaffList',
                name: '员工列表',
                component: './staff/list/StaffList',
              },
              {
                path: '/staff/editStaff',
                name: '编辑员工',
                hideInMenu: true,
                component: './staff/list/editStaff',
              },

              {
                path: '/staff/RoleList',
                name: '角色管理',
                component: './staff/list/RoleList',
              },
              {
                path: '/staff/editRole',
                name: '编辑角色',
                hideInMenu: true,
                component: './staff/list/editRole',
              },
              {
                path: '/staff/list/addRole',
                name: '添加角色',
                hideInMenu: true,
                component: './staff/list/addRole',
              },
              {
                path: '/staff/list/distribution',
                name: '分配归属',
                hideInMenu: true,
                component: './staff/list/distribution',
              },
            ],
          },
          {
            path: '/carouselFigure',
            name: '轮播图管理',
            component: '../layouts/BlankLayout',
            routes: [
              {
                path: '/carouselFigure/carouselFigureList',
                name: '轮播图',
                component: './carouselFigure/carouselFigureList',
              },
              {
                path: '/carouselFigure/editCarousel',
                name: '轮播图编辑',
                hideInMenu: true,
                component: './carouselFigure/editCarousel',
              },
              {
                path: '/carouselFigure/advertisingList',
                name: '开屏广告',
                component: './carouselFigure/advertisingList',
              },
              {
                path: '/carouselFigure/editAdvertising',
                name: '开屏广告编辑',
                hideInMenu: true,
                component: './carouselFigure/editAdvertising',
              },
            ],
          },
          {
            path: '/system',
            name: '系统管理',
            component: '../layouts/BlankLayout',
            routes: [
              {
                path: '/system/messageList',
                name: '客户留言',
                component: './system/messageList',
              },
              {
                path: '/system/report',
                name: '报表数据',
                component: './system/report',
              },
              {
                path: '/system/intention',
                name: '意向值',
                component: './system/intention',
              },
              {
                path: '/system/housingPolicy',
                name: '购房政策',
                component: './system/housingPolicy',
              },
              {
                path: '/system/editPolicy',
                name: '购房政策编辑',
                hideInMenu: true,
                component: './system/editPolicy',
              },
              {
                path: '/system/document/list',
                name: '客户资料',
                component: './system/document/list',
              },
              {
                path: '/system/document/audit',
                name: '客户资料审核',
                hideInMenu: true,
                component: './system/document/audit',
              },
            ],
          },
          {
            component: './404',
          },
        ],
      },
      {
        component: './404',
      },
    ],
  },
  {
    component: './404',
  },
];
