const prefix = '/api/admin'
// 高德地图
const amapPrefix = '/gaode_amap'

export default {
  image: {
    uploadForAnt: {
      url: `${prefix}/antd/image`,
      method: 'POST',
      action: 'upload',
    },
    upload: {
      url: `${prefix}/image`,
      method: 'POST',
      action: 'upload',
    },
  },
  user: {
    updatePassword: {
      method: 'PUT',
      url: `${prefix}/update/password`,
      action: 'admin.update.password',
    },
    current: {
      method: 'GET',
      url: `${prefix}/taUser/current`,
      action: 'admin.taUser.current.get',
    },
    signin: {
      method: 'POST',
      url: `${prefix}/taUser/signin`,
      login: true,
      action: 'admin.taUser.signin.post',
    },
    signout: {
      method: 'POST',
      url: `${prefix}/taUser/signout`,
      logout: true,
      action: 'signout',
    },
  },
  building: {
    getList: {
      method: 'GET',
      url: `${prefix}/buildinglist`,
      action: 'admin.buildinglist.get',
    },
    verifyMax: {
      method: 'GET',
      url: `${prefix}/verifyMax`,
      action: 'admin.verifyMax.get',
    },
    updateStatus: {
      method: 'PUT',
      url: `${prefix}/building/update/status`,
      action: 'admin.building.update.status.put',
    },
    addBuilding: {
      method: 'POST',
      url: `${prefix}/building/add`,
      action: 'admin.building.add.post',
    },
    updateBuilding: {
      method: 'PUT',
      url: `${prefix}/building/update`,
      action: 'admin.building.update.put',
    },
    buildingGetById: {
      method: 'GET',
      url: `${prefix}/buildingSelectId/:id`,
      action: 'admin.buildingSelectId.id.get',
    },
    deleteBuilding: {
      method: 'DELETE',
      url: `${prefix}/building/delete/:id`,
      action: 'admin.building.delete.id.delete',
    },
    buildingApartment: {
      method: 'GET',
      url: `${prefix}/buildingApartment/buildingId/:id`,
      action: 'admin.buildingApartment.buildingId.id.get',
    },
    buildingApartmentGetById: {
      method: 'GET',
      url: `${prefix}/buildingApartment/:id`,
      action: 'admin.buildingApartment.id.get',
    },
    buildingApartmentUpdate: {
      method: 'PUT',
      url: `${prefix}/buildingApartment/update`,
      action: 'admin.buildingApartment.update.put',
    },
    buildingApartmentAdd: {
      method: 'POST',
      url: `${prefix}/buildingApartment/add`,
      action: 'admin.buildingApartment.add.post',
    },
    buildingApartmentDelete: {
      method: 'DELETE',
      url: `${prefix}/apartment/deleted/:id`,
      action: 'admin.apartment.deleted.id.delete',
    },
    buildingSelect: {
      url: `${prefix}/buildinglist/select`,
      method: 'GET',
      action: 'select',
    },
    getMiniappName: {
      url: `${prefix}/getMiniappName`,
      method: 'GET',
      action: 'select',
    },
  },
  buildingType: {
    getList: {
      method: 'GET',
      url: `${prefix}/tdBuildingType`,
      action: 'admin.tdBuildingType.get',
    },
    delete: {
      method: 'DELETE',
      url: `${prefix}/tdBuildingType/:id`,
      action: 'admin.tdBuildingType.id.delete',
    },
    update: {
      method: 'PUT',
      url: `${prefix}/tdBuildingType/:id`,
      action: 'admin.tdBuildingType.id.put',
    },
    add: {
      method: 'POST',
      url: `${prefix}/tdBuildingType`,
      action: 'admin.tdBuildingType.post',
    },
    getById: {
      method: 'GET',
      url: `${prefix}/tdBuildingType/:id`,
      action: 'admin.tdBuildingType.id.get',
    },
  },
  news: {
    getList: {
      method: 'GET',
      url: `${prefix}/taNews`,
      action: 'admin.taNews.get',
    },
    delete: {
        method: 'DELETE',
        url: `${prefix}/taNews/:id`,
        action: 'admin.taNews.id.delete',
    },
    cancel: {
        method: 'PUT',
        url: `${prefix}/taNews/:id`,
        action: 'admin.taNews.id.put',
    },
    get: {
        method: 'GET',
        url: `${prefix}/taNews/:id`,
        action: 'admin.taNews.id.get',
    },
    post: {
      method: 'POST',
      url: `${prefix}/taNews`,
      action: 'admin.taNews.post',
    },
    put: {
      method: 'PUT',
      url: `${prefix}/taNews/:id`,
      action: 'admin.taNews.id.put',
    },
    weight: {
      method: 'PUT',
      url: `${prefix}/taNews/weight`,
      action: 'admin.taNews.id.put',
    }
  },
  newsType: {
    list: {
        method: 'GET',
        url: `${prefix}/taNewsType`,
        action: 'admin.taNewsType.get',
      },
    delete: {
        method: 'DELETE',
        url: `${prefix}/taNewsType/:id`,
        action: 'admin.taNewsType.id.delete',
    },
    put: {
      method: 'PUT',
      url: `${prefix}/taNewsType/:id`,
      action: 'admin.taNewsType.id.delete',
    },
    post: {
      method: 'POST',
      url: `${prefix}/taNewsType`,
      action: 'admin.taNewsType.post',
    },
    get: {
      method: 'GET',
      url: `${prefix}/taNewsType/:id`,
      action: 'admin.taNewsType.get',
    }
  },
  customer: {
    drift: {
      method: 'GET',
      url: `${prefix}/customer/recommend/drift`,
      action: 'admin.customer.recommend.drift.get',
    },
    report: {
      method: 'GET',
      url: `${prefix}/customer/recommend/report`,
      action: 'admin.customer.recommend.report.get',
    },
    recommender: {
      method: 'GET',
      url: `${prefix}/customer/recommend/recommender`,
      action: 'admin.customer.recommend.recommender.get',
    },
    auto: {
      method: 'PUT',
      url: `${prefix}/customer/recommend/verify/:id`,
      action: 'admin.customer.recommend.verify.id.put',
    },
    recommendGetById: {
      method: 'GET',
      url: `${prefix}/customer/recommend/getById/:id`,
      action: 'admin.customer.recommend.getById.id.get',
    },
    agents: {
      method: 'GET',
      url: `${prefix}/customer/agents`,
      action: 'admin.customer.agents.get',
    },
    customerRecommend: {
      method: 'GET',
      url: `${prefix}/customer/recommend`,
      action: 'admin.customer.recommend.get',
    },
    consultant: {
      method: 'GET',
      url: `${prefix}/consultant`,
      action: 'admin.consultant.get',
    },
    buildingConsultant: {
      method: 'GET',
      url: `${prefix}/building/consultant`,
      action: 'admin.building.consultant.get',
    },
    recommendEdit: {
      method: 'PUT',
      url: `${prefix}/customer/recommend/edit/:id`,
      action: 'admin.customer.recommend.edit.id.put',
    },
    taPointsRecords: {
      method: 'GET',
      url: `${prefix}/mine/taPointsRecords/:id`,
      action: 'admin.mine.taPointsRecords.id.get',
    },
    recommend: {
      method: 'GET',
      url: `${prefix}/customer/recommend/:id`,
      action: 'admin.customer.recommend.id.get',
    },
    InviteClientsList: {
      method: 'GET',
      url: `${prefix}/channel/InviteClientsList`,
      action: 'admin.channel.InviteClientsList.get',
    },
    CustomerRecommendGet: {
      method: 'GET',
      url: `${prefix}/customer/recommend/get/:id`,
      action: 'admin.customer.recommend.get.id.get',
    },
    cecommendPublic: {
      method: 'GET',
      url: `${prefix}/customer/recommend/public/get/:id`,
      action: 'admin.customer.recommend.public.get.id.get',
    },
    customerRecommendRecommenderExport: { // 导出数据（推荐客户）
      method: 'GET',
      url: `${prefix}/customer/recommend/recommender/export`,
      action: 'admin.customer.recommend.recommender.export.get',
    },
    customerRecommendReportExport: { // 导出数据（报备客户）
      method: 'GET',
      url: `${prefix}/customer/recommend/report/export`,
      action: 'admin.customer.recommend.report.export.get',
    },
    customerRecommendAgentsExport: { // 导出数据（经纪人）
      method: 'GET',
      url: `${prefix}/customer/recommend/agents/export`,
      action: 'admin.customer.recommend.agents.export.get',
    },
    customerRecommendExport: { // 导出数据（客户列表）
      method: 'GET',
      url: `${prefix}/customer/recommend/export`,
      action: 'admin.customer.recommend.export.get',
    },
    recommendClient: {
      method: 'GET',
      url: `${prefix}/customer/recommend/:id`,
      action: 'admin.customer.recommend.get',
    },
    byUserIdSelectCustomer: { // 根据置业顾问查询客户
      method: 'GET',
      url: `${prefix}/customer/list/:id`,
      action: 'admin.customer.list.get',
    },
  },
  indexEcharts: {
    list:{
      method:'GET',
      url: `${prefix}/indexStatistical`,
      action: 'userStatistics',
    },
    userResource: {
      method: 'GET',
      url: `${prefix}/selectUserResource`,
      action: 'userStatistics',
    },
    list:{
      method:'Get',
      url: `${prefix}/indexStatistical`,
      action:'select',
    },
    userBehavior: {
      summary: {
        method: 'GET',
        url: `${prefix}/selectUserBehavior`,
        action: 'userBehaviorStatistics',
      },
      profile: {
        method: 'GET',
        url: `${prefix}/selectEventAll`,
        action: 'behaviorIncident',
      },
    },
    bizEvent: {
      dict: {
        method:'get',
        url: `${prefix}/tdBizEventType`,
        action:'select',
      },
      list: {
        method:'get',
        url: `${prefix}/tdBizEvent`,
        action:'select',
      },
      properties: {
        method:'get',
        url: `${prefix}/taEventProperties`,
        action:'select',
      },
    },
    userActive: {
      method: 'GET',
      url: `${prefix}/selectActiveUserCount`,
      action: 'selectActiveUserCount',
    },
    userSex: {
      method: 'GET',
      url: `${prefix}/selectSexUser`,
      action: 'selectSexUser',
    },
    newUser: {
      method: 'GET',
      url: `${prefix}/selectNewsUserCount`,
      action: 'selectNewsUserCount',
    },
    userConversion: {
      method: 'GET',
      url: `${prefix}/selectConversion`,
      action: 'selectConversion',
    },
    intentionUsers: {
      method: 'GET',
      url: `${prefix}/selectIntentionUser`,
      action: 'selectIntentionUser',
    },
    userCity: {
      method: 'get',
      url: `${prefix}/selectCityUser`,
      action: 'admin.selectCityUser.get',
    },
    

  },
  activity: {
      list: {
        method: 'GET',
        url: `${prefix}/iBuildingDynamicList`,
        action: 'admin.iBuildingDynamicList.get',
      },
      listSelected: {
        method: 'GET',
        url: `${prefix}/iBuildingDynamicSelected`,
        action: 'admin.iBuildingDynamicList.get',
      },
      weight: {
        method: 'PUT',
        url: `${prefix}/buildingDynamic/weight`,
        action: 'admin.buildingDynamic.weight.put',
      },
      cancel: {
        method: 'PUT',
        url: `${prefix}/buildingDynamic/cancel/:id`,
        action: 'admin.buildingDynamic.cancel.dynamicId.put',
      },
      send: {
        url: `${prefix}/buildingDynamic/send/:id`,
        method: 'PUT',
        action: 'admin.buildingDynamic.send.dynamicId.put',
      },
      finish: {
        url: `${prefix}/buildingDynamic/finish`,
        method: 'PUT',
        action: 'admin.buildingDynamic.finish.put',
      },
      details: {
        url: `${prefix}/buildingDynamic/Details`,
        method: 'GET',
        action: 'admin.buildingDynamic.Details.get',
      },
      update: {
        url: `${prefix}/buildingDynamic/update`,
        method: 'PUT',
        action: 'admin.buildingDynamic.update.put',
      },
      add: {
        url: `${prefix}/buildingDynamic/add`,
        method: 'POST',
        action: 'admin.buildingDynamic.add.post',
      },
      poster: {
        url: `${prefix}/poster`,
        method: 'GET',
        action: 'admin.poster.get',
      },
      usedPoster: {
        url: `${prefix}/used/poster`,
        method: 'GET',
        action: 'admin.used.poster.get',
      },
      updatePoster: {
        url: `${prefix}/poster/:id`,
        method: 'PUT',
        action: 'admin.poster.id.put',
      },
      addPoster: {
        url: `${prefix}/poster`,
        method: 'POST',
        action: 'admin.poster.post',
      },
      shareContent: {
        url: `${prefix}/shareContent`,
        method: 'GET',
        action: 'admin.shareContent.get',
      },
      updateShareContent: {
        url: `${prefix}/shareContent/:id`,
        method: 'PUT',
        action: 'admin.shareContent.id.put',
      },
      addShareContent: {
        url: `${prefix}/shareContent`,
        method: 'POST',
        action: 'admin.shareContent.post',
      },
      signList: {
        url: `${prefix}/SignList`,
        method: 'GET',
        action: 'admin.SignList.get',
      },
      getTaActivityDynamicEnlistExport: {
        url: `${prefix}/activityDynamicEnlist/export`,
        method: 'GET',
        action: 'admin.activityDynamicEnlist.export.get',
      },
      taDrainage: {
        url: `${prefix}/taDrainage`,
        method: 'GET',
        action: 'admin.taDrainage.get',
      },
      detailDrainage: {
        url: `${prefix}/taDrainage/:id`,
        method: 'GET',
        action: 'admin.taDrainage.get',
      },
      addtaDrainage: {
        url: `${prefix}/taDrainage/add`,
        method: 'POST',
        action: 'admin.taDrainage.add.post',
      },
      deletetaDrainage: {
        url: `${prefix}/taDrainage/:id`,
        method: 'DELETE',
        action: 'admin.taDrainage.id.delete',
      },
      exchangeDrainage: {
        url: `${prefix}/taDrainage/exchange/:id`,
        method: 'PUT',
        action: 'admin.taDrainage.id.put',
      },
      updatetaDrainage: {
        url: `${prefix}/taDrainage/:id`,
        method: 'PUT',
        action: 'admin.taDrainage.id.put',
      },
      taDrainageRecord: {
        url: `${prefix}/taDrainageRecord`,
        method: 'GET',
        action: 'admin.taDrainageRecord.get',
      },
      exporttaDrainageRecord: {
        url: `${prefix}/taDrainageRecord/export`,
        method: 'GET',
        action: 'admin.taDrainageRecord.export.get',
      },
      taDrainageVisitRecord: {
        url: `${prefix}/taDrainageVisitRecord`,
        method: 'GET',
        action: 'admin.taDrainageVisitRecord.get',
      },
  },
  integralMall: {
    tdPointsRules: {
      url: `${prefix}/tdPointsRules`,
      method: 'GET',
      action: 'admin.tdPointsRules.get',
    },
    rulesDetail: {
      url: `${prefix}/tdPointsRules/:id`,
      method: 'GET',
      action: 'admin.tdPointsRules.id.get',
    },
    rulesUpdate: {
      url: `${prefix}/tdPointsRules`,
      method: 'PUT',
      action: 'admin.tdPointsRules.put',
    },
    change: {
      url: `${prefix}/tdPointsRules/change`,
      method: 'PUT',
      action: 'admin.tdPointsRules.change.put',
    },
    taGoods: {
      url: `${prefix}/taGoods/:id`,
      method: 'GET',
      action: 'admin.taGoods.id.get',
    },
    updateTaGoods: {
      url: `${prefix}/taGoods`,
      method: 'PUT',
      action: 'admin.taGoods.put',
    },
    addTaGoods: {
      url: `${prefix}/taGoods/add`,
      method: 'POST',
      action: 'admin.taGoods.add.post',
    },
    taPointsExchange: {
      url: `${prefix}/taPointsExchange`,
      method: 'GET',
      action: 'admin.taPointsExchange.get',
    },
    getTaGoods: {
      url: `${prefix}/taGoods`,
      method: 'GET',
      action: 'admin.taGoods.get',
    },
    changeTaGoods: {
      url: `${prefix}/taGoods/change`,
      method: 'PUT',
      action: 'admin.taGoods.change.put',
    },
    changeTaPointsExchange: {
      url: `${prefix}/taPointsExchange/change`,
      method: 'PUT',
      action: 'admin.taPointsExchange.change.put',
    },
  },
  carsuseFigure: {
    extendContent: {
      url: `${prefix}/extendContent`,
      method: 'GET',
      action: 'admin.extendContent.get',
    },
    finish: {
      url: `${prefix}/buildingDynamic/finish`,
      method: 'PUT',
      action: 'admin.buildingDynamic.finish.put',
    },
    updataExtendContent: {
      url: `${prefix}/extendContent/:id`,
      method: 'PUT',
      action: 'admin.extendContent.id.put',
    },
    deleteExtendContent: {
      url: `${prefix}/extendContentDelete/:id`,
      method: 'PUT',
      action: 'admin.extendContent.id.put',
    },
    getExtendContent: {
      url: `${prefix}/extendContent/:id`,
      method: 'GET',
      action: 'admin.extendContent.id.get',
    },
    addExtendContent: {
      url: `${prefix}/extendContent`,
      method: 'POST',
      action: 'admin.extendContent.post',
    },
  },
  system: {
    taPolicy: {
      url: `${prefix}/taPolicy/:id`,
      method: 'GET',
      action: 'admin.taPolicy.id.get',
    },
    updateTaPolicy: {
      url: `${prefix}/taPolicy/:id`,
      method: 'PUT',
      action: 'admin.taPolicy.id.put',
    },
    addTaPolicy: {
      url: `${prefix}/taPolicy`,
      method: 'POST',
      action: 'admin.taPolicy.post',
    },
    getTaPolicy: {
      url: `${prefix}/taPolicy`,
      method: 'GET',
      action: 'admin.taPolicy.get',
    },
    deleteTaPolicy: {
      url: `${prefix}/taPolicy/:id`,
      method: 'DELETE',
      action: 'admin.taPolicy.id.delete',
    },
    tdBizEventIntention: {
      url: `${prefix}/tdBizEventIntention`,
      method: 'GET',
      action: 'admin.tdBizEventIntention.get',
    },
    taBuildingIntentionAddOrUpdate: {
      url: `${prefix}/taBuildingIntentionAddOrUpdate/:id`,
      method: 'POST',
      action: 'admin.taBuildingIntentionAddOrUpdate.buildingId.post',
    },
    taCustomerMessage: {
      url: `${prefix}/taCustomerMessage`,
      method: 'GET',
      action: 'admin.taCustomerMessage.get',
    },
    tdReports: {
      url: `${prefix}/tdReports`,
      method: 'GET',
      action: 'admin.tdReports.get',
    },
    taBuildingReports: {
      url: `${prefix}/taBuildingReports`,
      method: 'GET',
      action: 'admin.taBuildingReports.get',
    },
    addTaBuildingReports: {
      url: `${prefix}/taBuildingReport/add`,
      method: 'POST',
      action: 'admin.taBuildingReport.add.post',
    },
    documentVerifylist: {
      url: `${prefix}/documentVerify`,
      method: 'GET',
      action: 'admin.documentVerify.get',
    },
    documentVerifyDetail: {
      url: `${prefix}/documentVerify/:id`,
      method: 'GET',
      action: 'admin.documentVerify.id.get',
    },
    updateVerify: {
      url: `${prefix}/documentVerify/:id`,
      method: 'PUT',
      action: 'admin.documentVerify.id.put',
    },
  },
  staff: {
    taUser: {
      url: `${prefix}/taUser`,
      method: 'GET',
      action: 'admin.taUser.get',
    },
    taTags: {
      url: `${prefix}/taTags`,
      method: 'GET',
      action: 'admin.taTags.get',
    },
    getTaUser: {
      url: `${prefix}/taUser/:id`,
      method: 'GET',
      action: 'admin.taUser.id.get',
    },
    updateTaUser: {
      url: `${prefix}/taUser/:id`,
      method: 'PUT',
      action: 'admin.taUser.id.put',
    },
    addTaUser: {
      url: `${prefix}/taUser`,
      method: 'POST',
      action: 'admin.taUser.post',
    },
    change: {
      url: `${prefix}/turn/taUser/:id/:type`,
      method: 'PUT',
      action: 'admin.turn.taUser.put',  
    },
    departure: {
      url: `${prefix}/user/departure/:id`,
      method: 'PUT',
      action: 'admin.user.departure.put',
    },
  },
  channelList: {
    getList: {
      url: `${prefix}/channel`,
      method: 'GET',
      action: 'admin.channel.get',
    },
    addChannel: {
      url: `${prefix}/channel`,
      method: 'POST',
      action: 'admin.channel.post',
    },
    getById: {
      url: `${prefix}/channel/:id`,
      method: 'GET',
      action: 'admin.channel.id.get',
    },
    editChannel: {
      url: `${prefix}/channel/:id`,
      method: 'PUT',
      action: 'admin.channel.id.put',
    },
    getListBroker: {
      url: `${prefix}/channel/broker`,
      method: 'GET',
      action: 'admin.channel.broker.get',
    },
    getListRecommend: {
      url: `${prefix}/customer/recommend/:id`,
      method: 'GET',
      action: 'admin.customer.recommend.id.get',
    },
    getListInvite: {
      url: `${prefix}/channel/InviteClientsList`,
      method: 'GET',
      action: 'admin.channel.InviteClientsList.get',
    },
 },
 role: {
  getRoleList: {
    url: `${prefix}/taRole`,
    method: 'GET',
    action: 'admin.taRole.get',
  },
  stop: {
    url: `${prefix}/taRole/stop/:id`,
    method: 'PUT',
    action: 'admin.taRole.stop.id.PUT',
  },
  menuList: {
    url: `${prefix}/menuList`,
    method: 'GET',
    action: 'admin.menuList.get',
  },
  buttonList: {
    url: `${prefix}/buttonList`,
    method: 'GET',
    action: 'admin.buttonList.get',
  },
  buttonAndMenuList: {
    url: `${prefix}/taRole/details/:id`,
    method: 'GET',
    action: 'admin.taRole.details.id.get'
  },
  updateAuthMenu: {
    url: `${prefix}/updateAuthMenu`,
    method: 'POST',
    action: 'admin.updateAuthMenu.post',
  },
 },
 helpActivity: {
  effectiveList: {
    url: `${prefix}/helpActivityEffective/list`,
    method: 'GET',
    action: 'admin.helpActivityEffective.list.get',
  },
  list: {
    url: `${prefix}/helpActivity/list`,
    method: 'GET',
    action: 'admin.helpActivity.get',
  },
  add: {
    url: `${prefix}/helpActivity/add`,
    method: 'post',
    action: 'admin.helpActivity.add.post',
  },
  details: {
    url: `${prefix}/helpActivity/details`,
    method: 'get',
    action: 'admin.helpActivity.details.get',
  },
  update: {
    url: `${prefix}/helpActivity/update`,
    method: 'put',
    action: 'admin.helpActivity.update.put',
  },
  top: {
    url: `${prefix}/top/update`,
    method: 'post',
    action: 'admin.top.update.post',
  },
  cancel: {
    method: 'PUT',
    url: `${prefix}/helpActivity/cancel/:id`,
    action: 'admin.helpActivity.update.put',
  },
  send: {
    url: `${prefix}/helpActivity/send/:id`,
    method: 'PUT',
    action: 'admin.helpActivity.update.put',
  },
  record: {
    url: `${prefix}/helpRecord`,
    method: 'get',
    action: 'admin.helpRecord.get',
  },
  helpPeopleDetails: {
    url: `${prefix}/taHelpRecord/details`,
    method: 'get',
    action: 'admin.taHelpRecord.details.get',
  },
  verification: {
    url: `${prefix}/helpInitiateRecordVerify`,
    method: 'post',
    action: 'admin.helpInitiateRecordVerify.get',
  },
  HelpInitiateRecordSucceed: {
    url: `${prefix}/HelpInitiateRecordSucceed/export`,
    method: 'get',
    action: 'admin.HelpInitiateRecordSucceed.export.get',
  },
  gethelpRecordExport: {
    url: `${prefix}/helpRecord/export`,
    method: 'get',
    action: 'admin.helpRecord.export.get',
  },
 },
 groupActivity: {
  list: {
    url: `${prefix}/taShareActivity/list`,
    method: 'get',
    action: 'admin.taShareActivity.list.get',
  },
  EffectiveList: {
    url: `${prefix}/taShareActivityEffective/list`,
    method: 'get',
    action: 'admin.taShareActivityEffective.list.get',
  },
  add: {
    url: `${prefix}/taShareActivity`,
    method: 'post',
    action: 'admin.taShareActivity.post',
  },
  details: {
    url: `${prefix}/taShareActivity/:id`,
    method: 'get',
    action: 'admin.taShareActivity.id.get',
  },
  avgScore: {
    url: `${prefix}/taShareActivity/avgScore`,
    method: 'get',
    action: 'admin.taShareActivity.avgScore.get',
  },
  update: {
    url: `${prefix}/taShareActivity/update`,
    method: 'put',
    action: 'admin.taShareActivity.update.put',
  },
  finish: {
    url: `${prefix}/taShareActivity/finish/:id`,
    method: 'put',
    action: 'admin.taShareActivity.finish.put',
  },
  send: {
    url: `${prefix}/taShareActivity/send/:id`,
    method: 'PUT',
    action: 'admin.taShareActivity.finish.put',
  },
  cancel: {
    method: 'PUT',
    url: `${prefix}/taShareActivity/cancel/:id`,
    action: 'admin.taShareActivity.finish.put',
  },
  top: {
    url: `${prefix}/taShareActivity/weight`,
    method: 'put',
    action: 'admin.taShareActivity.weight.put',
  },
  shareSuccList: {
    url: `${prefix}/taShareSuccessRecord`,
    method: 'get',
    action: 'admin.taShareSuccessRecord.get',
  },
  shareFailList : {
    url: `${prefix}/taShareFailAndProcessingRecord`,
    method: 'get',
    action: 'admin.taShareFailAndProcessingRecord.get',
  },
  shareChildList : {
    url: `${prefix}/taShareChildRecord`,
    method: 'get',
    action: 'admin.taShareChildRecord.get',
  },
  exportShareChildRecord: {
    url: `${prefix}/taShareChildRecord/export`,
    method: 'get',
    action: 'admin.taShareChildRecord.export.get',
  },
  exportShareRecord: {
    url: `${prefix}/taShareRecord/export`,
    method: 'get',
    action: 'admin.taShareRecord.export.get',
  },
  verification: {
    url: `${prefix}/taShareRecord/verificate`,
    method: 'put',
    action: 'admin.taShareRecord.verificate.put',
  }
 },
 h5Activity: {
  list: {
    url: `${prefix}/taDrainage`,
    method: 'get',
    action: 'admin.taDrainage.get',
  },
  EffectiveList: {
    url: `${prefix}/taDrainage`,
    method: 'get',
    action: 'admin.taDrainage.get',
  }
 },
 third: {
  thirdPartyMiniapp: {
    url: `${prefix}/thirdPartyMiniapp`,
    method: 'GET',
    action: 'admin.thirdPartyMiniapp.get',
  },
  update: {
    url: `${prefix}/thirdPartyMiniapp/update`,
    method: 'PUT',
    action: 'admin.thirdPartyMiniapp.update.put',
  },
  add: {
    url: `${prefix}/thirdPartyMiniapp/add`,
    method: 'POST',
    action: 'admin.thirdPartyMiniapp.add.post',
  },
  details: {
    url: `${prefix}/thirdPartyMiniapp/:id`,
    method: 'GET',
    action: 'admin.thirdPartyMiniapp.id.get',
  },
 },
 poster: {
  posterTemplate: {
    url: `${prefix}/posterTemplate`,
    method: 'GET',
    action: 'admin.posterTemplate.get',
  },
 },
 amap: { // 高德地图
   webService: { // Web服务Api ---- 周边搜索
     url: `${amapPrefix}/place/around`,
     method: 'GET',
   },
 }
}
